aboutsummaryrefslogtreecommitdiff
path: root/docker/finalize.sh
diff options
context:
space:
mode:
authoryaourt <yaourt@users.noreply.github.com>2017-02-19 02:43:27 +0100
committer无闻 <u@gogs.io>2017-02-18 20:43:27 -0500
commit1841316f188538b572c784b6875a89f63a83c513 (patch)
treeb046b1e5ab304f797494fd6b0bb2c926779260aa /docker/finalize.sh
parent0a2f87f9414b184759c45a4da63c72470557b0f1 (diff)
Provide an updated Dockerfile where Gogs is build with Go 1.8 (#4151)
In order to have an up to date Docker image based on alpine 3.5 and having Gogs built with Go 1.8 Refs: [ #4145 ]
Diffstat (limited to 'docker/finalize.sh')
-rwxr-xr-xdocker/finalize.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/docker/finalize.sh b/docker/finalize.sh
new file mode 100755
index 00000000..afd18e73
--- /dev/null
+++ b/docker/finalize.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Finalize the build
+
+set -x
+set -e
+
+# Move to final place
+mv /app/gogs/build/gogs /app/gogs/
+mv /app/gogs/build/templates /app/gogs/
+mv /app/gogs/build/public /app/gogs/
+mv /app/gogs/build/docker /app/gogs/
+
+# Final cleaning
+rm -rf /app/gogs/build
+rm /app/gogs/docker/build.sh
+rm /app/gogs/docker/build-go.sh
+rm /app/gogs/docker/finalize.sh
+rm /app/gogs/docker/nsswitch.conf
+rm /app/gogs/docker/README.md
+
+rm -rf /tmp/go
+rm -rf /usr/local/go \ No newline at end of file